---
title: "Grafana Mimir Helm chart version 4.2 release notes"
menuTitle: "V4.2 release notes"
description: "Release notes for Grafana Mimir Helm chart version 4.2"
weight: 300
---

# Grafana Mimir Helm chart version 4.2 release notes

Grafana Labs is excited to announce version 4.2 of the Grafana Mimir Helm chart, which is compatible with Grafana Mimir v2.6 or Grafana Enterprise Metrics (GEM) v2.6. The `mimir-distributed` Helm chart is the best way to install Mimir on Kubernetes.

To learn about new features and enhancements in Grafana Mimir or GEM, see the release notes for [Grafana Mimir v2.6](/docs/mimir/v2.6.x/release-notes/v2.6/) or [Grafana Enterprise Metrics v2.6](/docs/enterprise-metrics/v2.6.x/release-notes/v2-6/).

The highlights that follow include the top features, enhancements, and bugfixes in this release. For a comprehensive list of changes, see the [Helm chart changelog](https://github.com/grafana/mimir/tree/main/operations/helm/charts/mimir-distributed/CHANGELOG.md).

> **Note:** If you are upgrading from a previous major version, review the changelog entry for all the major releases since then and perform the necessary migrations.

## Important changes

This is a re-release of Grafana Mimir Helm chart version 4.1 to include GEM version v2.6.

It also includes the following notable change:

- You can override the NGINX error log level with the `nginx.nginxConfig.errorLogLevel` value, and disable the access log with the `nginx.nginxConfig.accessLogEnabled` value.

## Bug fixes

### 4.2.1

- [PR 4818](https://github.com/grafana/mimir/pull/4818): Updated Go version in Mimir and GEM images to 1.20.3 and 1.19.8 to fix CVE-2023-24538.
