---
title: "Grafana Mimir Helm chart version 5.6 release notes"
menuTitle: "V5.6 release notes"
description: "Release notes for Grafana Mimir Helm chart version 5.6"
weight: 300
---

# Grafana Mimir Helm chart version 5.6 release notes

Grafana Labs is excited to announce version 5.6 of the Grafana Mimir Helm chart, which is compatible with Grafana Mimir v2.15 and Grafana Enterprise Metrics (GEM) v2.15. The `mimir-distributed` Helm chart is the best way to install Mimir on Kubernetes.

The highlights that follow include the top features, enhancements, and bug fixes in this release. For a comprehensive list of changes, see the [Helm chart changelog](https://github.com/grafana/mimir/tree/main/operations/helm/charts/mimir-distributed/CHANGELOG.md).

## Important changes

The rollout-operator version has been updated to version 0.20.0.

The `track_sizes` feature for Memcached pods has been removed.

## Features and enhancements

Support has been added for `federation-frontend` in the values file. The federation-frontend allows you to query data from multiple GEM clusters using a single endpoint. For more information about cluster query federation, refer to the [federation-frontend documentation](https://grafana.com/docs/enterprise-metrics/<GEM_VERSION>/operations/cluster-query-federation).

You can create a service account for the alertmanager with dedicated permissions and authorizations by setting `alertmanager.serviceAcount.create` in the values file.
